Subject: Re: Single socket with TX_RING and RX_RING

From: Daniel Borkmann <[email-masked]>
Date: Thu, 16 May 2013 13:14:04 +0200

On 05/16/2013 01:01 PM, Ricardo Tubío wrote:
> Phil Sutter <phil <at> nwl.cc> writes:
>
>> So you do not call init_ring() twice as one may imply when reading your
>> first mail? Please provide a complete code sample.
>
> Yes, I call it twice. The problem is that if I call it twice with the same
> socket_fd, the second time I call it I get the EBUSY error from kernel. I
> have to use two different sockets (two different socket_fd's, therefore) in
> order to workaround this issue.
>
> The code I use for calling "init_ring" is the one below. If in function
> "init_rings", instead of using two different sockets (rx_socket_fd and
> tx_socket_fd), I use a single socket, I get the EBUSY error from kernel.

Ricardo, haven't we already been trough this that this way it cannot work?

This is not what we suggested in earlier mails.

Also, why do you keep sending your answers only to netdev without keeping
others in CC?